local module = ... or D:module("crimeboss_masks")module:hook_post_require("lib/tweak_data/tweakdata", function(module)
	local TweakData = module:hook_class("TweakData")
	module:post_hook(TweakData, "post_init", function(self)
		local hud_icons = self.hud_icons
		do
			local mask_set = "cbm"
			self.mask_sets[mask_set] = {
				{
					-- hoxton
					mask_icon = "mask_clown2",
					health_gui_offset = 128,    
					mask_obj = "units/characters/bain/bain"
				},
				{
					-- wolf
					mask_icon = "mask_clown1",
					health_gui_offset = 64,
					mask_obj = "units/characters/bain/bain"
				},
				{
					-- dallas
					mask_icon = "mask_clown3",
					health_gui_offset = 0,
					mask_obj = "units/characters/bain/bain"
				},
				{
					-- chains
					mask_icon = "mask_clown4",
					health_gui_offset = 192,
					mask_obj = "units/characters/bain/bain"
				},
				is_custom = true,
				fallback = nil
			}
		end
	end, false)
end)

module:hook_post_require("lib/managers/menumanager", function(module)
	local MaskOptionInitiator = module:hook_class("MaskOptionInitiator")
	module:post_hook(MaskOptionInitiator, "add_additional_items", function(self, data_node)
		do
			table.insert(data_node, {
					text_id = "menu_mask_cbm",
					value = "cbm",
					weight = 15 -- last on the list
				})
		end
	end, true)
end)